Get CA identity

Prev Next

Available in VPC

Get the list and information of identities managed by a blockchain network certificate authority (CA).

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks/{networkId}/cas/{caId}/identity (Korea Region)
GET /api/sgn-v1/networks/{networkId}/cas/{caId}/identity (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
networkId Long Required Network ID
caId String Required CA ID

Request example

The following is a sample request.

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/cas/{caId}/identity' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Array - CA identity details: content

content

The following describes content.

Field Type Required Description
networkId Long - Network ID
caId String - CA ID
identityName String - CA identity name
identityType String - CA identity type
  • ADMIN | PEER | ORDERER | CLIENT
    • ADMIN: network admin
    • PEER: Store and maintain data within the network, run chaincode
    • ORDERER: Collect information about transactions in the network and create blocks
    • CLIENT: network user
expireDate LocalDateTime - Expiration date of the issued certificate
  • YYYY-MM-DDTHH:MM:SS+0000 format
creator Long - CA identity creator ID
createDate LocalDateTime - CA identity creation date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format
updateDate LocalDateTime - CA identity modification date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

{
    "content": [
        {
            "networkId": 1630,
            "caId": "25728700",
            "identityName": "******-ca",
            "identityType": "ADMIN",
            "expireDate": "2027-07-29T07:29:00+0000",
            "creator": 2795985,
            "createDate": "2024-07-29T07:30:59+0000",
            "updateDate": "2024-07-29T07:30:59+0000"
        },
        {
            "networkId": 1630,
            "caId": "25728700",
            "identityName": "******-orderer",
            "identityType": "ORDERER",
            "expireDate": "2027-07-29T07:29:00+0000",
            "creator": 2795985,
            "createDate": "2024-07-29T07:30:59+0000",
            "updateDate": "2024-07-29T07:30:59+0000"
        },
        {
            "networkId": 1630,
            "caId": "25728700",
            "identityName": "******-peer",
            "identityType": "PEER",
            "expireDate": "2027-07-30T00:09:00+0000",
            "creator": 2795985,
            "createDate": "2024-07-30T00:09:06+0000",
            "updateDate": "2024-07-30T00:09:06+0000"
        }
    ]
}